aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts/contrib/lsb-v3/init.d/swap
diff options
context:
space:
mode:
authorBruce Dubbs <bdubbs@linuxfromscratch.org>2008-06-03 21:51:14 +0000
committerBruce Dubbs <bdubbs@linuxfromscratch.org>2008-06-03 21:51:14 +0000
commit1c4800743d22d675ccfa48364d8aa558e8b7407c (patch)
treeca4254cbe5dd5adb0ed8af1f87c26bc569403164 /bootscripts/contrib/lsb-v3/init.d/swap
parent9faa3e27afb932894ace74854fbb76631022446b (diff)
Moved bootscripts and udev-config to BOOK
Updated Makefile to automatically generate bootscript and udev-config tarballs Updated licesnse to be the same as BLFS git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@8548 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'bootscripts/contrib/lsb-v3/init.d/swap')
-rw-r--r--bootscripts/contrib/lsb-v3/init.d/swap57
1 files changed, 57 insertions, 0 deletions
diff --git a/bootscripts/contrib/lsb-v3/init.d/swap b/bootscripts/contrib/lsb-v3/init.d/swap
new file mode 100644
index 000000000..87c5f61c2
--- /dev/null
+++ b/bootscripts/contrib/lsb-v3/init.d/swap
@@ -0,0 +1,57 @@
+#!/bin/sh
+# Begin /etc/init.d/swap
+
+### BEGIN INIT INFO
+# Provides: swap
+# Required-Start: mountkernfs udev
+# Should-Start: lvm
+# Required-Stop: $local_fs
+# Should-Stop:
+# Default-Start: sysinit 0 6
+# Default-Stop:
+# Short-Description: Mounts and unmounts swap partitions.
+# Description: Mounts and unmounts swap partitions defined in
+# /etc/fstab.
+# X-LFS-Default-Start: S20
+# X-LFS-Default-Stop: S80
+# X-LFS-Provided-By: LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "${1}" in
+ start)
+ message="Activating all swap files/partitions..."
+ swapon -a
+ evaluate_retval standard
+ ;;
+
+ stop)
+ message="Deactivating all swap files/partitions..."
+ swapoff -a
+ evaluate_retval standard
+ ;;
+
+ restart)
+ swapoff -a
+ error_level="${?}"
+ sleep 1
+ swapon -a
+ error_level="$(( ${error_level} + ${?} ))"
+ (exit "${error_level}")
+ evaluate_retval restart
+ ;;
+
+ status)
+ log_success_msg "Retrieving swap status..."
+ echo
+ swapon -s
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/swap